%define major   2
%define libname %mklibname %{name} %{major}
%define devname %mklibname %{name} -d

Name:           wildmidi
Version:        0.4.6
Release:        %mkrel 1
Summary:        Open-source MIDI synthesizer and player
Group:          Sound/Midi
License:        GPLv3+ and LGPLv3+
URL:            https://www.mindwerks.net/projects/wildmidi/
Source:         https://github.com/Mindwerks/wildmidi/archive/%{name}-%{version}.tar.gz
Patch0:         wildmidi-0.3.6-mga-cfg-timidity-freepats.patch

BuildRequires:  cmake
BuildRequires:  pkgconfig(alsa)
BuildRequires:  pkgconfig(openal)
Requires:       timidity-patch-freepats

%description
WildMIDI is a simple software MIDI player which has a core software
synthesizer (softsynth) library that can be used with other applications.

The WildMIDI library uses Gravis Ultrasound patch files to convert MIDI files
into audio which is then passed back to the calling application. The library
API is designed so that it is easy to include WildMIDI into applications
that wish to include MIDI file playback.

%files
%doc README.md
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1*
%{_mandir}/man5/%{name}.cfg.5*
%{_sysconfdir}/%{name}/%{name}.cfg

#-----------------------------------------------------------

%package -n     %{libname}
Summary:        Library for WildMIDI
Group:          System/Libraries

%description -n %{libname}
WildMIDI is a simple software MIDI player which has a core software
synthesizer (softsynth) library that can be used with other applications.

This package contains WildMIDI's shared library.

%files -n       %{libname}
%{_libdir}/libWildMidi.so.%{major}{,.*}

#-----------------------------------------------------------

%package -n     %{devname}
Summary:        Development files for Wildmidi
Group:          Development/C
Requires:       %{libname} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}

%description -n %{devname}
WildMIDI is a simple software MIDI player which has a core software
synthesizer (softsynth) library that can be used with other applications.

This package contains development files for WildMIDI.

%files -n       %{devname}
%{_includedir}/wildmidi_lib.h
%{_libdir}/libWildMidi.so
%{_libdir}/cmake/WildMidi/
%{_libdir}/pkgconfig/%{name}.pc
%{_mandir}/man3/WildMidi_*.3*

#-----------------------------------------------------------

%prep
%autosetup -p1 -n %{name}-%{name}-%{version}

%build
%cmake
%cmake_build

%install
%cmake_install

install -D -m644 cfg/wildmidi.cfg %{buildroot}%{_sysconfdir}/%{name}/%{name}.cfg


%changelog
* Fri Apr 19 2024 daviddavid <daviddavid> 0.4.6-1.mga10
+ Revision: 2059494
- new version: 0.4.6

* Wed Jan 18 2023 daviddavid <daviddavid> 0.4.5-1.mga9
+ Revision: 1934221
- new version: 0.4.5

* Sat Mar 19 2022 umeabot <umeabot> 0.4.4-2.mga9
+ Revision: 1799540
- Mageia 9 Mass Rebuild

* Wed Apr 21 2021 daviddavid <daviddavid> 0.4.4-1.mga9
+ Revision: 1717757
- new version: 0.4.4

* Sat Feb 15 2020 daviddavid <daviddavid> 0.4.3-2.mga8
+ Revision: 1523264
- use new cmake macros
+ umeabot <umeabot>
- Mageia 8 Mass Rebuild

* Thu Feb 07 2019 daviddavid <daviddavid> 0.4.3-1.mga7
+ Revision: 1363813
- new version: 0.4.3

* Sun Sep 23 2018 umeabot <umeabot> 0.4.2-2.mga7
+ Revision: 1301666
- Mageia 7 Mass Rebuild

* Sat Dec 30 2017 akien <akien> 0.4.2-1.mga7
+ Revision: 1187741
- Version 0.4.2

* Wed Mar 22 2017 akien <akien> 0.4.1-1.mga6
+ Revision: 1094252
- Version 0.4.1 (adds pkgconfig file)

* Mon Sep 05 2016 akien <akien> 0.4.0-1.mga6
+ Revision: 1050102
- Version 0.4.0
- Libmajor 2

* Sat Apr 23 2016 akien <akien> 0.3.9-1.mga6
+ Revision: 1005620
- Version 0.3.9

* Tue Feb 09 2016 umeabot <umeabot> 0.3.8-2.mga6
+ Revision: 952244
- Mageia 6 Mass Rebuild

* Sun Feb 01 2015 akien <akien> 0.3.8-1.mga5
+ Revision: 812950
- Version 0.3.8

* Wed Oct 15 2014 umeabot <umeabot> 0.3.7-3.mga5
+ Revision: 744381
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.3.7-2.mga5
+ Revision: 690312
- Mageia 5 Mass Rebuild

* Sat Jun 07 2014 akien <akien> 0.3.7-1.mga5
+ Revision: 634292
- Version 0.3.7

* Fri May 02 2014 akien <akien> 0.3.6-1.mga5
+ Revision: 619597
- New version 0.3.6 with cmake buildsystem

* Fri Oct 18 2013 umeabot <umeabot> 0.2.3.5-5.mga4
+ Revision: 520265
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 0.2.3.5-4.mga3
+ Revision: 385698
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Dec 01 2012 malo <malo> 0.2.3.5-3.mga3
+ Revision: 324384
- spec clean-up
- update RPM group

* Mon Jan 09 2012 shlomif <shlomif> 0.2.3.5-2.mga2
+ Revision: 194092
- New version - 0.2.3.5

* Sat Feb 05 2011 ahmad <ahmad> 0.2.3.4-2.mga1
+ Revision: 47418
- drop old/unneeded scriptlets
- re-enumerate the patch(es)
- don't ship .la
- use %%doc to install the docs
+ eandry <eandry>
- imported package wildmidi


* Fri Jul 30 2010 Funda Wang <fwang@mandriva.org> 0.2.3.4-1mdv2011.0
+ Revision: 563742
- new version 0.2.3.4

* Sun Jul 11 2010 Emmanuel Andry <eandry@mandriva.org> 0.2.3.3-1mdv2011.0
+ Revision: 550959
- New version 0.2.3.3
- New major 1
- drop p0, p1, p2
- rediff p3
- update files list

* Sun Sep 20 2009 Thierry Vignaud <tv@mandriva.org> 0.2.2-7mdv2010.0
+ Revision: 445782
- rebuild

* Wed Feb 25 2009 Götz Waschk <waschk@mandriva.org> 0.2.2-6mdv2009.1
+ Revision: 344624
- update license

* Sat Aug 09 2008 Thierry Vignaud <tv@mandriva.org> 0.2.2-6mdv2009.0
+ Revision: 269681
- rebuild early 2009.0 package (before pixel changes)

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Wed May 14 2008 Funda Wang <fwang@mandriva.org> 0.2.2-5mdv2009.0
+ Revision: 206986
- display correct default config file

* Wed May 14 2008 Funda Wang <fwang@mandriva.org> 0.2.2-4mdv2009.0
+ Revision: 206917
- drop libtoolize
- update abspath patch with ubuntu one

  + Götz Waschk <waschk@mandriva.org>
    - run libtoolize to fix build

* Tue May 13 2008 Funda Wang <fwang@mandriva.org> 0.2.2-3mdv2009.0
+ Revision: 206556
- drop static lib file
- disable arch specific optimizations
- add fedora patch to fix bug#40640:
    does not recognize absolute configure path

* Sun May 11 2008 Funda Wang <fwang@mandriva.org> 0.2.2-2mdv2009.0
+ Revision: 205607
- virtual provides for devel package

* Fri May 09 2008 Funda Wang <fwang@mandriva.org> 0.2.2-1mdv2009.0
+ Revision: 205311
- import source and spec
- Created package structure for wildmidi.

